# Method: dynamicProfiles.publish

- [HTTP request](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicProfiles/publish#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicProfiles/publish#body.PATH_PARAMETERS)
- [Request body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicProfiles/publish#body.request_body)
- [Response body](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicProfiles/publish#body.response_body)
- [Authorization scopes](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicProfiles/publish#body.aspect)
- [Try it!](https://developers.google.com/doubleclick-advertisers/rest/v5/dynamicProfiles/publish#try-it)

dynamicProfiles.publish for a dynamic profile.

### HTTP request

`POST https://dfareporting.googleapis.com/dfareporting/v5/studio/dynamicProfiles/{dynamicProfileId}/publish`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `dynamicProfileId` | `string (https://developers.google.com/discovery/v1/type-format format)` Required. Dynamic profile ID. |

### Request body

The request body must be empty.

### Response body

If successful, the response body is empty.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/dfatrafficking`